%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gnome-dvb-daemon
Version:	0.1.16
Release:	1%{?dist}
Summary:	Digital Television manager

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://live.gnome.org/DVBDaemon
Source0:	http://launchpad.net/gnome-dvb-daemon/trunk/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	gstreamer-plugins-good
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gstreamer-plugins-bad-free
# Daemon
BuildRequires:	dbus-glib-devel libgee-devel sqlite-devel gstreamer-rtsp-devel
# UI
BuildRequires:	python-devel gstreamer-python-devel pygtk2-devel dbus-python
# Plugin
BuildRequires:	totem-devel

Requires:	pygtk2 gstreamer-python
Requires:	gstreamer-plugins-bad-free
# For initial tuning data
Requires:	dvb-apps

%description
gnome-dvb-daemon contains a daemon responsible for handling Digital Television
adapters, including recording, listing programs schedules and scanning for
channels.

This package also contains a Totem plugin for the movie player and a plugin
for sharing recordings and live TV over UPNP using Rygel.

%prep
%setup -q

%build
%configure --enable-totem-plugin=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/dbus-1/services/org.gnome.DVB.service
%{_datadir}/dbus-1/services/org.gnome.UPnP.MediaServer1.DVBDaemon.service
# So as not to require Totem itself
%dir %{_libdir}/totem/
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/dvb-daemon/

%changelog
* Thu Mar 18 2010 Bastien Nocera <bnocera@redhat.com> 0.1.16-1
- Update to 0.1.16

* Tue Mar 09 2010 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Update to 0.1.15

* Tue Mar 02 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-4
- Own the totem plugins directory as well

* Wed Feb 24 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-3
- Fix a few comments from the review

* Mon Feb 01 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-2
- Remove gstreamer-plugins-flumpegdemux requires

* Thu Dec 24 2009 Bastien Nocera <bnocera@redhat.com> 0.1.14-1
- Update to 0.1.14
- Add dvb-apps for initial tuning data

* Wed Dec 16 2009 Bastien Nocera <bnocera@redhat.com> 0.1.13-1
- Update to 0.1.13

* Thu Apr 30 2009 Bastien Nocera <bnocera@redhat.com> 0.1.5-1
- First package

